%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define major       6
%define libxi       %mklibname xi %{major}
%define libxi_devel %mklibname xi -d

Name:           libxi
Summary:        X Input Extension Library
Version:        1.8.2
Release:        %mkrel 1
Group:          System/Libraries
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/lib/libXi-%{version}.tar.xz
BuildRequires:  pkgconfig(x11) >= 1.3
BuildRequires:  pkgconfig(xext) >= 1.1
BuildRequires:  x11-proto-devel >= 7.5
BuildRequires:  x11-util-macros >= 1.0.1
BuildRequires:  pkgconfig(xfixes)
%if !%{bootstrap}
# necessary for building the man pages
BuildRequires:  xmlto
BuildRequires:  asciidoc
BuildRequires:  docbook-dtd412-xml
%endif

%description
X Input Extension Library.

#-----------------------------------------------------------

%package -n %{libxi}
Summary:        X Input Extension Library
Group:          System/Libraries
Provides:       %{name} = %{version}

%description -n %{libxi}
X Input Extension Library.

%files -n %{libxi}
%{_libdir}/libXi.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{libxi_devel}
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libxi} = %{version}-%{release}
Provides:       libxi-devel = %{version}-%{release}
Obsoletes:      %{_lib}xi-static-devel < 1.7.2-2

%description -n %{libxi_devel}
Development files for %{name}.

%files -n %{libxi_devel}
%doc %{_datadir}/doc/libXi
%{_libdir}/libXi.so
%{_libdir}/pkgconfig/xi.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/X*

#-----------------------------------------------------------

%prep
%setup -q -n libXi-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Thu Sep 05 2024 daviddavid <daviddavid> 1.8.2-1.mga10
+ Revision: 2093181
- new version: 1.8.2

* Sat Mar 19 2022 umeabot <umeabot> 1.8-2.mga9
+ Revision: 1800665
- Mageia 9 Mass Rebuild

* Tue Nov 09 2021 tv <tv> 1.8-1.mga9
+ Revision: 1755105
- 1.8
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1.7.10-2.mga8
+ Revision: 1526842
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jul 03 2019 tv <tv> 1.7.10-1.mga8
+ Revision: 1417961
- new release

* Thu Sep 27 2018 umeabot <umeabot> 1.7.9-3.mga7
+ Revision: 1308496
- Mageia 7 Mass Rebuild

* Fri Jan 27 2017 tv <tv> 1.7.9-1.mga6
+ Revision: 1083574
- new release

* Wed Nov 02 2016 tv <tv> 1.7.8-1.mga6
+ Revision: 1064723
- new release

* Wed Oct 05 2016 tv <tv> 1.7.7-1.mga6
+ Revision: 1058900
- new release

* Tue Dec 22 2015 tv <tv> 1.7.6-1.mga6
+ Revision: 913395
- new release

* Wed Sep 23 2015 tv <tv> 1.7.5-1.mga6
+ Revision: 882350
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.7.4-3.mga5
+ Revision: 750818
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.4-2.mga5
+ Revision: 681883
- Mageia 5 Mass Rebuild

* Tue Jul 22 2014 sander85 <sander85> 1.7.4-1.mga5
+ Revision: 655457
- New version: 1.7.4

* Fri Jul 11 2014 luigiwalser <luigiwalser> 1.7.3-1.mga5
+ Revision: 651181
- 1.7.3

* Sat Oct 19 2013 umeabot <umeabot> 1.7.2-3.mga4
+ Revision: 532726
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.7.2-2.mga4
+ Revision: 469548
- drop unneeded requires
- drop old Mdv era conflicts/obsoletes
- drop static devel pkg

* Wed Jul 03 2013 tv <tv> 1.7.2-1.mga4
+ Revision: 449870
- new release

* Sat Jun 29 2013 tv <tv> 1.7.1.901-1.mga4
+ Revision: 448326
- CVE release

* Tue Jun 04 2013 colin <colin> 1.7.1-3.mga4
+ Revision: 437183
- Remove manual pkgconfig requires as these are injected automatically now

* Tue Jun 04 2013 colin <colin> 1.7.1-2.mga4
+ Revision: 437160
- Add the requirements of the pc files Requires.private (we should automate this)

* Thu May 23 2013 tv <tv> 1.7.1-1.mga4
+ Revision: 425345
- BR pkgconfig(xfixes)
- new release

* Sat Feb 09 2013 luigiwalser <luigiwalser> 1.6.2-1.mga3
+ Revision: 397255
- 1.6.2

* Sat Jan 12 2013 umeabot <umeabot> 1.6.1-2.mga3
+ Revision: 358587
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 colin <colin> 1.6.1-1.mga3
+ Revision: 248419
- New version: 1.6.1
+ tv <tv>
- new release

* Wed Dec 21 2011 tv <tv> 1.4.5-1.mga2
+ Revision: 185304
- new release

* Sat Dec 17 2011 fwang <fwang> 1.4.4-1.mga2
+ Revision: 183170
- new version 1.4.4

* Mon Nov 21 2011 fwang <fwang> 1.4.3-2.mga2
+ Revision: 170348
- drop .la files

* Thu Jun 16 2011 tv <tv> 1.4.3-1.mga2
+ Revision: 108456
- new release

* Fri Apr 01 2011 tv <tv> 1.4.2-1.mga1
+ Revision: 79625
- new release
+ rtp <rtp>
- alloc to build libxi without xmtlo/asciidoc/docbook-dtd412-xml

* Sun Jan 09 2011 blino <blino> 1.4.0-3.mga1
+ Revision: 3228
- remove old ldconfig scriptlets
- imported package libxi


* Mon Nov 08 2010 Thierry Vignaud <tv@mandriva.org> 1.4.0-2mdv2011.0
+ Revision: 595113
- move doc from main library into devel subpackage (fix conflict on biarch)

* Mon Nov 08 2010 Thierry Vignaud <tv@mandriva.org> 1.4.0-1mdv2011.0
+ Revision: 594915
- adjust file list
- BuildRequires: docbook-dtd412-xml
- new release

* Wed Aug 04 2010 Thierry Vignaud <tv@mandriva.org> 1.3.2-1mdv2011.0
+ Revision: 565891
- new release

* Mon Aug 02 2010 Thierry Vignaud <tv@mandriva.org> 1.3.1-1mdv2011.0
+ Revision: 565025
- new release

* Mon Nov 09 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.3-1mdv2010.1
+ Revision: 463712
- New version: 1.3

  + Ander Conselvan de Oliveira <ander@mandriva.com>
    - build requires xmlto and asciidoc (needed to build the man pages)

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.2.1-2mdv2010.0
+ Revision: 425926
- rebuild

* Thu Feb 26 2009 Thierry Vignaud <tv@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 345048
- new release

* Wed Dec 03 2008 Colin Guthrie <cguthrie@mandriva.org> 1.2.0-1mdv2009.1
+ Revision: 309643
- New version: 1.2.0

* Mon Nov 17 2008 Thierry Vignaud <tv@mandriva.org> 1.1.4-1mdv2009.1
+ Revision: 303916
- new release

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.1.3-3mdv2009.0
+ Revision: 223077
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.3-2mdv2008.1
+ Revision: 151690
- Update BuildRequires and rebuild.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 09 2007 Thierry Vignaud <tv@mandriva.org> 1.1.3-1mdv2008.1
+ Revision: 96066
- new release

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 1.1.2-1mdv2008.0
+ Revision: 57471
- New upstream version 1.1.2
- New library policy

* Thu Jul 05 2007 Colin Guthrie <cguthrie@mandriva.org> 1.1.1-1mdv2008.0
+ Revision: 48530
- New upstream version 1.1.1

* Mon Apr 30 2007 Thierry Vignaud <tv@mandriva.org> 1.0.4-2mdv2008.0
+ Revision: 19615
- new release


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

